Description

This is long-standing behavior that I consider a bug. That said, there are likely plenty of design conversations that predate me I'm

unaware of.

When I update a Data Package by updating the metadata object and its resource map with new ones, the resourceMap field in the

Solr index for the obsoleted metadata object is cleared. I expected it not to be cleared.

Why is this the way it works? The way I see it, clearing out the resourceMap field in the Solr index for the obsoleted metadata object

reduces benefit of us versioning objects. When a package is cited by its metadata object's PID and the package is updated after the

citation was published, a visitor to the dataset landing page will no longer see the package because the resource map isn't in the

index. Of course they will be shown a link to the latest version of the package which does have a resource map but that's not what

they cited.

Related issues:

Related to Infrastructure - Bug #3675: package relationships not available fo... New 2013-03-20

History

#1 - 2017-03-28 16:07 - Dave Vieglais

- Project changed from CN Index to Infrastructure

- Category set to dataone-cn-index

- Target version set to CCI-2.4.0

- Milestone set to None

#2 - 2017-03-28 16:20 - Dave Vieglais

- Category changed from dataone-cn-index to d1_indexer

#3 - 2017-03-29 12:14 - Dave Vieglais

- Related to Bug #3675: package relationships not available for archived objects added
